﻿/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import '@ionic/angular/css/core.css';

/* Basic CSS for apps built with Ionic */
@import '@ionic/angular/css/normalize.css';
@import '@ionic/angular/css/structure.css';
@import '@ionic/angular/css/typography.css';
@import '@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import '@ionic/angular/css/padding.css';
@import '@ionic/angular/css/float-elements.css';
@import '@ionic/angular/css/text-alignment.css';
@import '@ionic/angular/css/text-transformation.css';
@import '@ionic/angular/css/flex-utils.css';

/* You can add global styles to this file, and also import other style files */
@import 'theme/bootstrap';

@import '@angular/material/theming';
$custom-typography: mat-typography-config(
  $font-family: var(--ion-font-family),
);

@include angular-material-typography($custom-typography);

@import 'theme/ionic-components.scss';

@font-face {
  font-family: 'TitilliumWeb';
  src: url('assets/fonts/TitilliumWeb/TitilliumWeb-Regular.eot');
  src: url('assets/fonts/TitilliumWeb/TitilliumWeb-Regular.eot?#iefix') format('embedded-opentype'),
    url('assets/fonts/TitilliumWeb/TitilliumWeb-Regular.woff2') format('woff2'),
    url('assets/fonts/TitilliumWeb/TitilliumWeb-Regular.woff') format('woff'),
    url('assets/fonts/TitilliumWeb/TitilliumWeb-Regular.ttf') format('truetype'),
    url('assets/fonts/TitilliumWeb/TitilliumWeb-Regular.svg#Titillium Web') format('svg');
}

@font-face {
  font-family: 'TitilliumWeb-Bold';
  src: url('assets/fonts/TitilliumWeb/TitilliumWeb-Bold.eot');
  src: local('☺'), url('assets/fonts/TitilliumWeb/TitilliumWeb-Bold.woff') format('woff'),
    url('assets/fonts/TitilliumWeb/TitilliumWeb-Bold.ttf') format('truetype'),
    url('assets/fonts/TitilliumWeb/TitilliumWeb-Bold.svg') format('svg');
  font-weight: normal;
  font-style: normal;
}

* {
  font-family: 'TitilliumWeb', Geneva, Tahoma, sans-serif;
}

// Adjust the Status Bar
h1,
h2,
h3 {
  color: var(--ion-color-text);
  font-weight: 700;
}

h4,
h5,
h6 {
  color: var(--ion-color-text);
  font-weight: 600;
}

a{
  &:visited{
    color: var(--ion-color-text);
  }
}

p,
ion-label {
  font-weight: 400;
}

hr {
  margin-top: 1rem;
  margin-bottom: 1rem;
  border: 0;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
}

.error {
  color: var(--ion-color-danger);
}
.bg-medium {
  background: var(--ion-color-medium);
}

.bg-sec{
  background: #e9e6f2;
}

.btn-footer{
  letter-spacing: 0.007em !important;
  vertical-align: middle !important;
  font-size: 1.2em;
  padding: 0;
  margin: 0;
}

.f-18{
  font-size: 18px!important;
}

.color
{
  &-black{
    color: black!important;
  }
  &-primary{
    color: var(--ion-color-primary);
  }
}

@import "swiper/css/bundle";
